@echo off
rem ブラックアウト暫定対応バッチ

rem バッチを実行するユーザー名を取得
set "username=%USERNAME%"

rem アプリバージョン
set "version=v134"

rem コピー元フォルダのパス
set "sourceFolder=%~dp0UpdateBatch\%version%"

rem アップロードディレクトリ
set "targetDir=C:\Users\%username%\TerminalApp\ExamApp\%version%"

rem コピーパス
set "chkFileListDest=\cbt\public\chkFileList"
set "cbtApp32Dest=\cbt\cbtApp32.jar"
set "cbtApp64Dest=\cbt\cbtApp64.jar"
set "bundleDest=\cbt\public\spkexam\js\bundle.js"
set "loginDest=\cbt\public\lrwexam\html\login.html"
set "mainDest=\cbt\public\spkexam\css\main.css"
set "examDest=\cbt\public\spkexam\html\tmpl\exam.html"

REM ディレクトリが存在するか確認
if exist "%targetDir%\" (

    copy /Y "%sourceFolder%\%chkFileListDest%" "%targetDir%\%chkFileListDest%"
    echo %version% "%targetDir%\%chkFileListDest%" が正常にコピーされました。

    copy /Y "%sourceFolder%\%cbtApp32Dest%" "%targetDir%\%cbtApp32Dest%"
    echo %version% "%targetDir%\%cbtApp32Dest%" が正常にコピーされました。

    copy /Y "%sourceFolder%\%cbtApp64Dest%" "%targetDir%\%cbtApp64Dest%"
    echo %version% "%targetDir%\%cbtApp64Dest%" が正常にコピーされました。

    copy /Y "%sourceFolder%\%bundleDest%" "%targetDir%\%bundleDest%"
    echo %version% "%targetDir%\%bundleDest%" が正常にコピーされました。

    copy /Y "%sourceFolder%\%loginDest%" "%targetDir%\%loginDest%"
    echo %version% "%targetDir%\%loginDest%" が正常にコピーされました。

    copy /Y "%sourceFolder%\%mainDest%" "%targetDir%\%mainDest%"
    echo %version% "%targetDir%\%mainDest%" が正常にコピーされました。

    copy /Y "%sourceFolder%\%examDest%" "%targetDir%\%examDest%"
    echo %version% "%targetDir%\%examDest%" が正常にコピーされました。

) else (
    echo %version% ディレクトリが存在しません。
)

rem 処理終了
echo すべてのファイルが処理されました。
pause
